# GridMaterialProperty

#### new Cesium.GridMaterialProperty(options)
DataSources/GridMaterialProperty.js 40

A `MaterialProperty` that maps to grid `Material` uniforms.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | `Color.WHITE` | optional A Property specifying the grid `Color`.
`cellAlpha` | Property | `0.1` | optional A numeric Property specifying cell alpha values.
`lineCount` | Property | `new Cartesian2(8, 8)` | optional A `Cartesian2` Property specifying the number of grid lines along each axis.
`lineThickness` | Property | `new Cartesian2(1.0, 1.0)` | optional A `Cartesian2` Property specifying the thickness of grid lines along each axis.
`lineOffset` | Property | `new Cartesian2(0.0, 0.0)` | optional A `Cartesian2` Property specifying starting offset of grid lines along each axis.

### Members

#### cellAlpha : Property
DataSources/GridMaterialProperty.js 110

Gets or sets the numeric Property specifying cell alpha values.

Default Value: `0.1`

#### color : Property
DataSources/GridMaterialProperty.js 102

Gets or sets the Property specifying the grid `Color`.

Default Value: `Color.WHITE`

#### readonlydefinitionChanged : Event
DataSources/GridMaterialProperty.js 90

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonlyisConstant : Boolean
DataSources/GridMaterialProperty.js 71

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### lineCount : Property
DataSources/GridMaterialProperty.js 118

Gets or sets the `Cartesian2` Property specifying the number of grid lines along each axis.

Default Value: `new Cartesian2(8.0, 8.0)`

#### lineOffset : Property
DataSources/GridMaterialProperty.js 134

Gets or sets the `Cartesian2` Property specifying the starting offset of grid lines along each axis.

Default Value: `new Cartesian2(0.0, 0.0)`

#### lineThickness : Property
DataSources/GridMaterialProperty.js 126

Gets or sets the `Cartesian2` Property specifying the thickness of grid lines along each axis.

Default Value: `new Cartesian2(1.0, 1.0)`

### Methods

#### equals(other) → Boolean
DataSources/GridMaterialProperty.js 173

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/GridMaterialProperty.js 143

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/GridMaterialProperty.js 154

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.